> ## Documentation Index
> Fetch the complete documentation index at: https://docs.otim.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Platform Settings

> Updates your Platform settings. Any fields not included in the request body will remain unchanged.



## OpenAPI

````yaml PATCH /platform/settings
openapi: 3.1.0
info:
  title: Otim Platform API
  version: v0
  description: >-
    API for managing accounts, entities, transfers, counterparties, and IBANs on
    the Otim platform.
servers:
  - url: https://api.otim.com/v0
security:
  - bearerAuth: []
paths:
  /platform/settings:
    patch:
      tags: []
      summary: Update Platform Settings
      description: >-
        Updates your Platform settings. Any fields not included in the request
        body will remain unchanged.
      operationId: updatePlatformSettings
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePlatformSettingsRequest'
      responses:
        '200':
          description: Updated platform settings.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformSettings'
        '400':
          description: Validation error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UpdatePlatformSettingsRequest:
      type: object
      properties:
        autoEarnEnabled:
          type: boolean
          description: Enable or disable auto-earn for new Accounts.
        autoEarnVault:
          type: string
          description: The vault to use for auto-earn. Required when enabling auto-earn.
          enum:
            - aave_usdc
            - morpho_usdc
            - sky_usds
        defaultChain:
          type: string
          description: Set the default chain for new Accounts.
          enum:
            - ethereum
            - base
            - arbitrum
            - optimism
            - polygon
        webhookUrl:
          type: string
          nullable: true
          description: URL to receive webhook notifications. Set to `null` to disable.
    PlatformSettings:
      type: object
      properties:
        autoEarnEnabled:
          type: boolean
          description: >-
            When enabled, new Accounts are automatically configured to earn
            yield on idle balances.
          example: true
        autoEarnVault:
          type: string
          nullable: true
          description: >-
            The vault used for auto-earn. When auto-earn is enabled, idle
            balances in new Accounts are deposited into this vault.
          enum:
            - aave_usdc
            - morpho_usdc
            - sky_usds
          example: aave_usdc
        defaultChain:
          type: string
          description: The default chain used when creating new Accounts.
          example: base
        webhookUrl:
          type: string
          nullable: true
          description: URL to receive webhook notifications for events on your Platform.
          example: https://yourapp.com/webhooks/otim
        updatedAt:
          type: string
          format: date-time
          example: '2025-01-15T12:00:00Z'
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
          description: A machine-readable error code.
        details:
          type: object
          nullable: true
          description: Additional context about the error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key prefixed with `sk_`.

````